curl --request POST \
--url 'https://api.elkapi.com/v1/images/generations' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"prompt": "一只小猫在阳光下的花园里奔跑,电影感,高细节",
"model": "gpt-image-1.5",
"size": "1024x1024",
"stream": false
}'
import requests
url = "https://api.elkapi.com/v1/images/generations"
headers = {
"Authorization": "Bearer <token>"
}
headers["Content-Type"] = "application/json"
payload = {
"prompt": "一只小猫在阳光下的花园里奔跑,电影感,高细节",
"model": "gpt-image-1.5",
"size": "1024x1024",
"stream": False
}
response = requests.request("POST", url, headers=headers, json=payload)
print(response.json())
const url = "https://api.elkapi.com/v1/images/generations";
const headers = {
"Authorization": "Bearer <token>"
};
headers["Content-Type"] = "application/json";
const payload = {
"prompt": "一只小猫在阳光下的花园里奔跑,电影感,高细节",
"model": "gpt-image-1.5",
"size": "1024x1024",
"stream": false
};
const response = await fetch(url, {
method: "POST",
headers,
body: JSON.stringify(payload)
});
console.log(await response.json());
{
"created": 1,
"data": [
{
"b64_json": "b64_json",
"url": "https://example.com/image.png"
}
],
"usage": {
"total_tokens": 1,
"input_tokens": 1,
"output_tokens": 1,
"input_tokens_details": {
"text_tokens": 1,
"image_tokens": 1
}
}
}
原生 OpenAI 格式
生成图像
- 在给定提示的情况下创建图像。了解更多。
POST
/
v1
/
images
/
generations
curl --request POST \
--url 'https://api.elkapi.com/v1/images/generations' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"prompt": "一只小猫在阳光下的花园里奔跑,电影感,高细节",
"model": "gpt-image-1.5",
"size": "1024x1024",
"stream": false
}'
import requests
url = "https://api.elkapi.com/v1/images/generations"
headers = {
"Authorization": "Bearer <token>"
}
headers["Content-Type"] = "application/json"
payload = {
"prompt": "一只小猫在阳光下的花园里奔跑,电影感,高细节",
"model": "gpt-image-1.5",
"size": "1024x1024",
"stream": False
}
response = requests.request("POST", url, headers=headers, json=payload)
print(response.json())
const url = "https://api.elkapi.com/v1/images/generations";
const headers = {
"Authorization": "Bearer <token>"
};
headers["Content-Type"] = "application/json";
const payload = {
"prompt": "一只小猫在阳光下的花园里奔跑,电影感,高细节",
"model": "gpt-image-1.5",
"size": "1024x1024",
"stream": false
};
const response = await fetch(url, {
method: "POST",
headers,
body: JSON.stringify(payload)
});
console.log(await response.json());
{
"created": 1,
"data": [
{
"b64_json": "b64_json",
"url": "https://example.com/image.png"
}
],
"usage": {
"total_tokens": 1,
"input_tokens": 1,
"output_tokens": 1,
"input_tokens_details": {
"text_tokens": 1,
"image_tokens": 1
}
}
}
curl --request POST \
--url 'https://api.elkapi.com/v1/images/generations' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"prompt": "一只小猫在阳光下的花园里奔跑,电影感,高细节",
"model": "gpt-image-1.5",
"size": "1024x1024",
"stream": false
}'
import requests
url = "https://api.elkapi.com/v1/images/generations"
headers = {
"Authorization": "Bearer <token>"
}
headers["Content-Type"] = "application/json"
payload = {
"prompt": "一只小猫在阳光下的花园里奔跑,电影感,高细节",
"model": "gpt-image-1.5",
"size": "1024x1024",
"stream": False
}
response = requests.request("POST", url, headers=headers, json=payload)
print(response.json())
const url = "https://api.elkapi.com/v1/images/generations";
const headers = {
"Authorization": "Bearer <token>"
};
headers["Content-Type"] = "application/json";
const payload = {
"prompt": "一只小猫在阳光下的花园里奔跑,电影感,高细节",
"model": "gpt-image-1.5",
"size": "1024x1024",
"stream": false
};
const response = await fetch(url, {
method: "POST",
headers,
body: JSON.stringify(payload)
});
console.log(await response.json());
{
"created": 1,
"data": [
{
"b64_json": "b64_json",
"url": "https://example.com/image.png"
}
],
"usage": {
"total_tokens": 1,
"input_tokens": 1,
"output_tokens": 1,
"input_tokens_details": {
"text_tokens": 1,
"image_tokens": 1
}
}
}
Authorizations
string
必填
所有接口均需要使用 Bearer Token 进行认证。在请求头中添加:
Authorization: Bearer YOUR_API_KEY
Body
string
默认值:"gpt-image-1.5"
用于图像生成的模型。
dall-e-2、dall-e-3 或 gpt-image-1 之一。默认为 dall-e-2,除非使用特定于 gpt-image-1 的参数。示例:gpt-image-1.5string
必填
所需图像的文本描述。
gpt-image-1 的最大长度为 32000 个字符,dall-e-2 的最大长度为 1000 个字符,dall-e-3 的最大长度为 4000 个字符。integer
要生成的图像数量。必须介于 1 到 10 之间。对于
dall-e-3,仅支持 n=1。string
生成的图像的大小。
对于 gpt-image-1,必须是 1024x1024、1536x1024(横向)、1024x1536(纵向)或自动(默认值)之一,对于 dall-e-2,必须是 256x256、``512x512 或 1024x1024 之一,对于 dall-e-3,必须是 1024x1024、1792x1024 或 1024x1792 之一。string
允许为生成的图像的背景设置透明度。此参数仅支持
gpt-image-1。必须是以下之一 透明、不透明或自动(默认值)。使用自动时,模型将自动确定图像的最佳背景。如果是透明的,则输出格式需要支持透明度,因此应将其设置为 png(默认值)或 webp。string
控制
gpt-image-1 生成的图像的内容审核级别。必须为低, 以进行限制较少的筛选或自动(默认值)。string
将生成的图像的质量。
string
string
string
Response
integer